<?php
include "ver_sessao.php";
include "conecta.php";



// GARANTE QUE O ID DO USUÁRIO VAI SEMPRE EXISTIR NA SESSÃO
if ( intval($_SESSION[user_nb_id]) == 0 ) {

	echo "ERRO: Sessão expirada!";
	exit;
}










function cadastra_produto(){
	global $CONFIGURA;

	// NAO DEIXA CADASTRAR CATEGORIA EM BRANCO
	if( intval($_POST[categoria]) == 0  ) 
		$_POST[categoria] = 1;
	
	if($_POST[codbarras] != ''){

		if ( !$_POST[id] ) {
			// VERIFICA SE O CÓDIGO JÁ FOI CADASTRADO
			$sql_prod = selecionar('produto','prod_tx_status',"!inativo"," AND prod_tx_codbarras LIKE '$_POST[codbarras]' LIMIT 1 ");
			if ( num_linhas($sql_prod)>0 ) {
				set_status('ATENÇÃO: Código de barras já cadastrado com outro produto!');
				layout_produto();
				exit;
			}

		} else {

			// VERIFICA SE O CÓDIGO JÁ FOI CADASTRADO
			$sql_prod = selecionar('produto','prod_tx_status',"!inativo"," AND prod_nb_id != '$_POST[id]' AND prod_tx_codbarras LIKE '$_POST[codbarras]' LIMIT 1 ");
			if ( num_linhas($sql_prod)>0 ) {
				set_status('ATENÇÃO: Código de barras já cadastrado com outro produto!');
				modifica_produto();
				exit;
			}
		}
	}

	if ($_POST[unidade]=='') {
		set_status('ATENÇÃO: Informe uma unidade de medida!');
		if ( !$_POST[id] )
			layout_produto();
		else
			modifica_produto();
		exit;
	}

	


	if($_POST[prod_id]==''){
		$sql_cod=selecionar('prod_tx_codigo|produto','prod_tx_status','ativo'," ORDER BY prod_tx_codigo+0 DESC LIMIT 1");
		$a_cod = carrega_array($sql_cod);
		$_POST[prod_id] = $a_cod[0] + 1;
	}


	
	$campos  = array(prod_tx_codbarras,prod_tx_nome,prod_nb_unidade,prod_tx_valorCusto,
		prod_tx_estoqueMin,prod_tx_status,prod_tx_tipo,prod_tx_codigo,prod_tx_descricao);
	
	$valores = array($_POST[codbarras],$_POST[nome],$_POST[unidade],valor($_POST[valorCusto]),
		valor($_POST[estoqueMin]),'ativo',$_POST[tipo],$_POST[prod_id],$_POST[descricao]);




	if ( !$_POST[id] ) {
		array_push($campos, prod_tx_qtde);
		array_push($valores, valor($_POST[estoqueAtual]));
		inserir('produto',$campos,$valores,1);
		$_POST[id] = ultimo_reg('produto');
		registro_cactus("CADASTRO DE PRODUTO: $_POST[id] - $_POST[nome] - ESTOQUE: ".($_POST[estoqueAtual]),$_POST[id]);

	} else {

		$a=carregar('historico','','hist_nb_produto',$_POST[id],'ORDER BY hist_nb_id DESC');

		// VERIFICA SE HOUVE ALGUMA ALTERAÇÃO PARA REGISTRAR NO HISTÓRICO
		if( $a[hist_tx_valorCusto]!=valor($_POST[valorCusto]) || $a[hist_tx_valorVenda]!=valor($_POST[precoVenda]) || $a[hist_tx_margem]!=valor($_POST[margem]) ){
			
			$cam = array('hist_nb_produto','hist_tx_valorCusto','hist_tx_valorVenda','hist_tx_margem','hist_tx_dataMargem','hist_nb_user','hist_tx_dataCadastro','hist_tx_status');
			$val = array($_POST[id],valor($_POST[valorCusto]),valor($_POST[precoVenda]),valor($_POST[margem]),date('Y-m-d'),$_SESSION[user_nb_id],date("Y-m-d H:i:s"),'ativo');
			inserir('historico',$cam,$val,1);
		}

		atualizar('produto',$campos,$valores,$_POST[id]);
	}




	
	index();
	exit;
}




function modifica_produto(){
	
	global $a_mod;
	
	if($_POST[id])
		$_POST[produto] = $_POST[id];
	
	$a_mod = carregar('produto,cst,categoria',$_POST[id]);

	layout_produto();
	exit;
	
}


function exclui_produto(){
	
	remover('produto',$_POST[id]);
	index();
	exit;	
}


function layout_fornecedores(){
	$a_mod=carregar('produto,categoria',$_POST[id]);

	$c[] = cactux::texto('Nome:',$a_mod[prod_tx_nome],3);
	$c[] = cactux::texto('Categoria:',$a_mod[cate_tx_nome],2);
	$c[] = cactux::texto('Cód. Barras:',$a_mod[prod_tx_codbarras],2);

	$b2 = cactux::botao('Voltar',2,'voltar');

	cabecalho('Cadastro de Insumos',2);
	
	cactux::abre_form();
	cactux::abre_fieldset('Dados do Insumo');
	cactux::linha_fieldset($c[0],$c[1],$c[2]);
	cactux::linha_fieldset($b2);
	cactux::fecha_fieldset();
	cactux::fecha_form();

	acao_botao('voltar','modifica_produto','id',$_POST[id]);

	$sql = selecionar('lifornecedor,entidade','lifo_tx_status','ativo'," AND lifo_nb_produto = '$_POST[id]' ORDER BY enti_tx_nome ASC");
	while($a=carrega_array($sql)){

		$val[] = array(++$i,$a[enti_tx_nome],$a[lifo_tx_codigo],$a[lifo_tx_caixa]);
	}
	
	$cab[] = array('','FORNECEDOR','CÓDIGO','EMBALAGEM');
	$cab[] = 'c,e,c,c';
	$cab[] = '10%,,20%,20%';

	grid::gerar($cab,$val);

	exit;

}

function sugere_valor() {

// print_r($_GET);
	
	$margem = valor($_GET[margem]);
	$custo = valor($_GET[custo]);


	if( $_GET[tipo] == 'categoria' ) {
	
		if ( $_GET[categoria]>0 )
			$a = carregar('categoria',$_GET[categoria]);

		javascript("window.parent.document.cadastro.margem.value = '".mostra_valor($a[cate_tx_margem])."';");
		javascript("window.parent.document.cadastro.descontoMaximo.value = '".mostra_valor($a[cate_tx_desconto])."';");
	
		if( $custo == '' ) {
			javascript("window.parent.document.getElementById('sugestao_preco').innerHTML = '&nbsp;';");
			echo "Sem custo! Apenas Categoria!";
			return;
		}

		@$preco = $custo * (1+($a[cate_tx_margem]/100)); 
		
	}

	if( $_GET[tipo] == 'margem' ) {
	
		if( $custo == '' ) {
			javascript("window.parent.document.getElementById('sugestao_preco').innerHTML = '&nbsp;';");
			echo "Sem custo! Apenas margem!";
			return;
		}

		@$preco = $custo * (1+($margem/100)); 
		
	}

	if( $_GET[tipo] == 'custo' ) {
	
		if( $margem == '' ) {
			javascript("window.parent.document.getElementById('sugestao_preco').innerHTML = '&nbsp;';");
			echo "Sem margem! Apenas custo!";
			return;
		}

		@$preco = $custo * (1+($margem/100)); 
		
	}
	
	
	
if ($preco>0)
	javascript("window.parent.document.getElementById('sugestao_preco').innerHTML = '".mostra_valor($preco)."'; ");
else
	javascript("window.parent.document.getElementById('sugestao_preco').innerHTML = '&nbsp;'; ");

exit;


}






function carregar_cest() {
	
	$id_ncm = intval($_GET[id_ncm]);
	if ( $id_ncm>0 ) {
		$a_imposto = carregar('imposto',$id_ncm);	
		$ncm_raiz = raiz_ncm($a_imposto[impo_tx_codigo]);

		$extra_cest = " cest_tx_ncm LIKE '$ncm_raiz' ";

		// REALIZA ESSA CONSULTA PARA VERIFICAR SE O NCM SELECIONADO POSSUI CEST
		$sql_cest = selecionar('cest','cest_tx_status',"!inativo"," AND $extra_cest LIMIT 1 ");
		if (num_linhas($sql_cest)>0) {
			$cest = cactux::combo_bd('!CEST:','cest','','',6,"cest_nb_id, CONCAT(cest_tx_cest,' - ',cest_tx_nome)|cest",''," $extra_cest ");
			cactux::linha_fieldset($cest);
		}
	}
}


function checa_codigo(){
	if($_GET[codigo]!=''){
		if($_GET[id_prod]!=''){
			$extra.= " AND prod_nb_id != '$_GET[id_prod]'";
		}
		$sql=selecionar('produto','prod_tx_status','ativo'," AND prod_tx_codigo = '$_GET[codigo]' $extra LIMIT 1",0,1);
		// echo num_linhas($sql);
		if(num_linhas($sql) == 1){
			echo "<script>

				alert('ERRO: Código do produto já registrado!');
				parent.document.getElementById('botao_gravar').disabled=true;
			</script>";
		}else{
			echo "<script>
				parent.document.getElementById('botao_gravar').disabled=false;
			</script>";
		}
	}

	// print_r($_GET);
	exit;
}






function layout_produto(){
	global $CONFIGURA;	
	global $a_mod;
	
	if($_POST[acao_voltar]== 'cadastro_produtophp'){
		$_POST[acao_voltar] = 'cadastro_produto.php';
	}

//	frame_interno(0);
	
	if($_POST[id])
		$_POST[produto] = $_POST[id];
	if($a_mod[prod_nb_categoria])
		$a_cate = carregar('categoria',$a_mod[prod_nb_categoria]);

	if ( $a_mod[prod_nb_origem] > 0 ) {
		$a_origem = carregar('cst',$a_mod[prod_nb_origem]);
	}
	if ( $a_mod[prod_nb_cest]>0 ) {
		$a_cest = carregar('cest',$a_mod[prod_nb_cest]);
	}
	if ( $a_mod[prod_nb_marca]>0 ) {
		$a_marca = carregar('marca',$a_mod[prod_nb_marca]);
	}

	
	cabecalho('Insumo',2);



	cactux::abre_form('upload');


	$c[] = cactux::campo('Código:','prod_id',$a_mod[prod_tx_codigo],1,'onkeypress="return event.keyCode!=13" onblur="checa_codigo(this.value)"');
	$c[] = cactux::campo('Código de Barras','codbarras',$a_mod[prod_tx_codbarras],2,'onkeypress="return event.keyCode!=13"');
	$c[] = cactux::campo('* Descrição:','nome',$a_mod[prod_tx_nome],4);

	$c[] = cactux::combo_bd('* Unidade:','unidade',$a_mod[prod_nb_unidade],$a_mod[prod_nb_unidade],1,'unidade');
	$c[] = cactux::campo('Estoque:','estoqueAtual',mostra_valor($a_mod[prod_tx_qtde]),1,MASCARA_VALOR." $readonly");
	$c[] = cactux::campo('Valor&nbsp;de&nbsp;Compra:','valorCusto',mostra_valor($a_mod[prod_tx_valorCusto]),1," onkeyup=mascara_reais(this);sugere_valor(this,'custo')");



	//BOTOES
	$avancar = cactux::botao_submit('Gravar',2,'cadastra_produto','id,tipo',"$_POST[id],Insumos",'id=botao_gravar');
	$voltar  = cactux::botao('Voltar',2,'voltar','acao_voltar',$_POST[acao_voltar]);
	$status  = cactux::msg_status();

	cactux::abre_fieldset('Informações do Insumo');	
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4],$c[5]);
	campo_hidden('acao_voltar',$_POST[acao_voltar]);
	cactux::fecha_fieldset();

	cactux::linha_fieldset($voltar,$avancar,$fornecedores,$status);
	

	
	cactux::fecha_form();



		
	cactux::acao_botao('voltar','index');
	cactux::acao_botao('fornecedores','layout_fornecedores',"id",$_POST[id]);
	
	rodape();

	echo "<iframe style='display:none;' id=frame_codigo></iframe>";

	javascript("

		function checa_codigo(codigo){
			document.getElementById('frame_codigo').src = 'cadastro_produto.php?".cactux_cookie::url_sistema()."&acao=checa_codigo&codigo='+codigo+'&id_prod=$a_mod[prod_nb_id]';
		}

		function abre_desconto_reais(contador) {

			var item_real = 'real';
			var item_porcentagem = 'porcentagem';

			if ( item_real != '' ) {

				
				var valor_unitario = valor(document.getElementById('preco_venda').value);

				var desconto_real = document.getElementById(item_real).value;
				desconto_real = valor(desconto_real);

				var porcentagem = (desconto_real*100)/valor_unitario;

				if ( porcentagem==0 ) {
					document.getElementById(item_porcentagem).value = '';
				} else {
					document.getElementById(item_porcentagem).value = porcentagem.formatMoney();
				}				
			}
		}


		function abre_desconto_porcentagem(contador) {

			// var item = document.cadastro.item.value;
			var item_real = 'real';
			var item_porcentagem = 'porcentagem';

			if ( item_porcentagem != '' ) {

				var valor_unitario = valor(document.getElementById('preco_venda').value);

				var desconto_porcentagem = document.getElementById('porcentagem').value;
				desconto_porcentagem = valor(desconto_porcentagem);

				var reais = (valor_unitario*desconto_porcentagem)/100;

				if ( reais==0 ) {
					document.getElementById(item_real).value = '';
				} else {
					document.getElementById(item_real).value = reais.formatMoney();
				}				
			}
		}



		function valor(valor){
			// FUNÇÃO PARA CONVERTER VALORES DO MONETÁRIO PARA O DA BASE DE DADOS

			v = valor.replace(\".\",\"\");
			v = v.replace(\",\",\".\");
			valor = parseFloat(v);

			if (isNaN(valor)) {
				valor = 0;
			}

			return valor;
		}


		function verifica_cest(id_ncm=0) {

			// CRIA UM
			window.document.getElementById('div_cest').innerHTML = '<div>Carregando...</div>';

			// REALIZA UMA CHAMADA EM AJAX PARA CARREGAR O COMBO BD
			var xmlhttp = new XMLHttpRequest();
			xmlhttp.open('GET','cadastro_produto.php?".cactux_cookie::url_sistema()."&acao=carregar_cest&id_ncm='+id_ncm, true);

			xmlhttp.send();
			xmlhttp.onreadystatechange = function() {

				if (this.readyState == 4 && this.status == 200) {

					window.document.getElementById('div_cest').innerHTML = this.responseText;
				}
			};

		}



		function sugere_valor(t,tipo) {
		
			var categoria = t.value;
			var custo = window.document.cadastro.valorCusto.value;
			var margem = window.document.cadastro.margem.value;
			
			window.document.getElementById('sugestao_preco').innerHTML = 'Calculando...';
			frame_interno('cadastro_produto.php?".cactux_cookie::url_sistema()."&acao=sugere_valor&categoria='+categoria+'&custo='+custo+'&margem='+margem+'&tipo='+tipo);
		
		}


		// Get the modal
		var modal = window.document.getElementById('myModal');

		// Get the <span> element that closes the modal
		var span = window.document.getElementsByClassName('close')[0];



		// When the user clicks on <span> (x), close the modal
		span.onclick = function() {
		    modal.style.display = 'none';

		    window.document.getElementById('estoqueAtual').focus();
		}

		// When the user clicks anywhere outside of the modal, close it
		window.onclick = function(event) {
		    if (event.target == modal) {
		        modal.style.display = 'none';
			    window.document.getElementById('estoqueAtual').focus();
		    }
		}

		var qtde = 0;

		function confirmar(){
			
			if (qtde == 0)
				modal.style.display = 'block';

			qtde = qtde+1;
		}
	");
	
}


function imprime_busca(){
	
	$sql = $_POST[sql];
	$sql = str_replace(";",",",$sql);
	$sql = str_replace("\\","",$sql);
	$sql = query($sql);
	

	if( $_POST[busca_categoria] !='' ){
		$extra .= " AND prod_nb_categoria = '$_POST[busca_categoria]' ";
		$a_cate = carregar('categoria',$_POST[busca_categoria]);
	}

	if( $_POST[busca_marca] !='' ){
		$extra .= " AND prod_nb_marca = '$_POST[busca_marca]' ";
		$a_marca = carregar('marca',$_POST[busca_marca]);
	}
	
	cabecaRelatorio('Cadastro de Insumos',2);

	
	
	//CONSULTA
	$c[] = cactux::texto('Código',$_POST[busca_cod],1);
	$c[] = cactux::texto('Código de Barras',$_POST[busca_codbarras],2);
	$c[] = cactux::texto('Descrição',$_POST[busca_nome],4);
	$c[] = cactux::texto('Marca',$a_marca[marc_tx_nome],2);
	$c[] = cactux::texto('Categoria:',$a_cate[cate_tx_nome],3);
	//---------
	
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	//if($_SESSION[user_tx_nivel]=='Administrador')
		cactux::linha_fieldset($buscar,$inserir,$imprimir);
	//else	
	//	cactux::linha_fieldset($buscar,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	

	
	$cabecalho[] = array('CÓDIGO','CÓDIGO DE BARRAS','NOME','MARCA','CATEGORIA','ESTOQUE','VALOR VENDA','VALOR COMPRA','VALOR EM LOJA');
	$cabecalho[] = 'c,c,e,e,e,c,c,c,c,c,c,c';
	$cabecalho[] = '5%,13%,,10%,15%,10%,10%,10%,10%,2%,2%';
	
	while ( $a = carrega_array($sql) ){
		
		$depa = carregar('categoria',$a[prod_nb_categoria]);
		$a_marca = carregar('marca',$a[prod_nb_marca]);
		
		// if($_SESSION[user_tx_nivel]=='Administrador' OR $_SESSION[user_tx_nivel]=='Diretor' OR $_SESSION[user_tx_nivel]=='Comprador')
		$total_loja +=$a[prod_tx_valorCusto]*$a[prod_tx_qtde];
		
		$valores[] = array($a[prod_nb_id],$a[prod_tx_codbarras],$a[prod_tx_nome],$a_marca[marc_tx_nome],$depa[cate_tx_nome],mostra_valor($a[prod_tx_qtde]),
				'R$ '.mostra_valor($a[prod_tx_valorVenda]),'R$ '.mostra_valor($a[prod_tx_valorCusto]),'R$ '.mostra_valor($a[prod_tx_valorCusto]*$a[prod_tx_qtde],1));
		
	}
	
	$valores[] = array('','','','','','','','<b>TOTAL','<b>R$ '.mostra_valor($total_loja));
	grid::gerar($cabecalho,$valores);
	
	rodape();
	
}

function layout_etiqueta(){
	chamar_pag('cadastro_cliente.php','id',$_POST[id]);

	index();
	exit;
}


	

function index(){
	global $CONFIGURA;
	if( $_POST[busca_cod] ){
		$extra .= " AND prod_nb_id='$_POST[busca_cod]'" ;
	}
	if( $_POST[busca_cod2] ){
		$extra .= " AND prod_tx_codigo='$_POST[busca_cod2]'" ;
	}
	
	if( $_POST[busca_codbarras] ){
		$extra .= " AND prod_tx_codbarras = '$_POST[busca_codbarras]'" ;
	}
	
	if( $_POST[busca_nome] !='' ){
		
		$extra .= " AND prod_tx_nome LIKE '%$_POST[busca_nome]%'";
	}
	

	if( $_POST[busca_categoria] !='' ){
		$extra .= " AND prod_nb_categoria = '$_POST[busca_categoria]' ";
		$a_cate = carregar('categoria',$_POST[busca_categoria]);
	}

	if( $_POST[busca_marca] !='' ){
		$extra .= " AND prod_nb_marca = '$_POST[busca_marca]' ";
		$a_marca = carregar('marca',$_POST[busca_marca]);
	}
	
	if($_POST[busca_oferta]=='Sim')
		$extra .= " AND prod_nb_id IN (SELECT item_nb_produto FROM itemoferta,oferta WHERE item_nb_oferta = ofer_nb_id AND ofer_tx_status = 'finalizado' AND item_tx_status = 'ativo' AND ofer_tx_dataInicio <= '".date("Y-m-d")."' AND '".date("Y-m-d")."' <= ofer_tx_dataFim GROUP BY item_nb_produto )";
	if($_POST[busca_oferta]=='Não')
		$extra .= " AND prod_nb_id NOT IN (SELECT item_nb_produto FROM itemoferta,oferta WHERE item_nb_oferta = ofer_nb_id AND ofer_tx_status = 'finalizado' AND item_tx_status = 'ativo' AND ofer_tx_dataInicio <= '".date("Y-m-d")."' AND '".date("Y-m-d")."' <= ofer_tx_dataFim GROUP BY item_nb_produto )";


	$extra .= " AND prod_tx_tipo='Insumos' ";



	cabecalho('Cadastro de Insumos',2);
	
	$sql = selecionar($TABELA."produto",'prod_tx_status','ativo'," AND (prod_tx_servico != 'Sim' OR prod_tx_servico IS NULL) AND prod_nb_id > '99' $extra ",1);

	
	$BUSCA  = grid::gerar_paginacao($sql,'','',50);
	
	//CONSULTA
	// $c[] = cactux::campo('ID','busca_cod',$_POST[busca_cod],2);
	$c[] = cactux::campo('Código','busca_cod2',$_POST[busca_cod2],2);
	$c[] = cactux::campo('Código de Barras','busca_codbarras',$_POST[busca_codbarras],2);
	$c[] = cactux::campo('Descrição','busca_nome',str_replace("%20"," ",$_POST[busca_nome]),4);
	// $c[] = cactux::combo_bd('!Marca:','busca_marca',$a_marca[marc_nb_id],$a_marca[marc_tx_nome],2,'marca');
	// $c[] = cactux::combo_net('!Marca:','busca_marca',$a_marca[marc_nb_id],$a_marca[marc_tx_nome],2,array("combonet/busca_div.php?c=marca","combonet/busca_net.php?c=marca"));
	// $c[] = cactux::combo_bd('!Categoria:','busca_categoria',$a_cate[cate_nb_id],$a_cate[cate_tx_nome],2,'categoria');
	// $c[] = cactux::combo_net('!Categoria:','busca_categoria',$a_cate[cate_nb_id],$a_cate[cate_tx_nome],3,array("combonet/busca_div.php?c=categoria","combonet/busca_net.php?c=categoria"));
	// $c[] = cactux::combo('Oferta:','busca_oferta',array('','Sim', 'Não'),$_POST[busca_oferta],2);
	//---------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$voltar = cactux::botao('Voltar',2,'voltar');

	
	cactux::abre_form();
	cactux::abre_fieldset('Buscar Insumos');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::linha_fieldset($buscar,$inserir,$voltar);
	campo_hidden('acao_voltar',$_POST[acao_voltar]);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	
	cactux::acao_botao('inserir','layout_produto','acao_voltar',$_POST[acao_voltar]);
	cactux::acao_botao('voltar','index','','','cadastro_produto.php');


	$sql = str_replace(",",";",$sql);
	cactux::acao_botao('imprimir','imprime_busca','sql',$sql,'','','target=_blank');
	
	$cabecalho[] = array('CÓDIGO','CÓDIGO DE BARRAS','NOME','ESTOQUE','VALOR COMPRA (R$)','','');
	$cabecalho[] = 'c,c,e,e,e,c,c,c,c';
	$cabecalho[] = '10%,15%,,10%,15%,2%,2%';
	
	while ( $a = carrega_array($BUSCA[0]) ){

		$excluir = ".icone_excluir($a[prod_nb_id],exclui_produto)";
		
		$icone_etiqueta = "<a href=javascript:imprimir_etiqueta($a[prod_nb_id])><img src='$CONFIGURA[PATH]cactus/imagens/icone_etiqueta.png' border=0></a>";

		$icone_modificar = ".icone_modificar($a[prod_nb_id],'modifica_produto','acao_voltar','$_POST[acao_voltar]')";
	
		$valores[] = array($a[prod_tx_codigo],$a[prod_tx_codbarras],$a[prod_tx_nome],mostra_valor($a[prod_tx_qtde]),
				'R$ '.mostra_valor($a[prod_tx_valorCusto]).$valorOferta,$icone_modificar,$excluir);
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	echo "<iframe style=display:none id=frame_etiqueta></iframe>";

	javascript("
		function imprimir_etiqueta(id){
			document.getElementById('frame_etiqueta').src='fpdf17/gera_pdf_etiqueta.php?".cactux_cookie::url_sistema()."&id='+id;
		}
	");

	rodape();
	
}

CONTROLE();
?>